getCloudPostgresqlTargetSubnetList

Prev Next

Available in VPC

Get the list of subnets available to use in Cloud DB for PostgreSQL.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpostgresql/v2/getCloudPostgresqlTargetSubnetList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the subnet to view
  • Check through getRegionList.
  • First Region of the getRegionList query result (default)
vpcNo String Required Filter by VPC number.
cloudPostgresqlImageProductCode String Required Filter by Cloud DB for PostgreSQL image product code.
isPublic Boolean Optional Filter by public subnet status.
  • true | false
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlTargetSubnetList
?regionCode=KR
&vpcNo=****87
&cloudPostgresqlImageProductCode=SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See TargetSubnetList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "getCloudPostgresqlTargetSubnetListResponse": {
        "totalRows": 2,
        "targetSubnetList": [
            {
                "subnetNo": "****49",
                "subnetName": "test-****-public-kr1",
                "vpcNo": "****87",
                "vpcName": "test-****",
                "zoneCode": "KR-1",
                "subnet": "192.168.*.0/24",
                "isPublic": true,
                "createdDate": "2024-06-03T08:53:40+0900"
            },
            {
                "subnetNo": "****51",
                "subnetName": "test-****-private-kr1",
                "vpcNo": "****87",
                "vpcName": "test-****",
                "zoneCode": "KR-2",
                "subnet": "192.168.*.0/24",
                "isPublic": false,
                "createdDate": "2022-03-30T10:01:13+0900"
            }
        ],
        "requestId": "1514cc5b-****-****-****-30161feb43b1",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudPostgresqlTargetSubnetListResponse>
    <requestId>1514cc5b-****-****-****-30161feb43b1</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>2</totalRows>
    <targetSubnetList>
        <targetSubnet>
            <subnetNo>****49</subnetNo>
            <subnetName>test-****-public-kr1</subnetName>
            <vpcNo>****87</vpcNo>
            <vpcName>test-****</vpcName>
            <zoneCode>KR-1</zoneCode>
            <subnet>192.168.*.0/24</subnet>
            <isPublic>true</isPublic>
            <createdDate>2024-06-03T08:53:40+0900</createdDate>
        </targetSubnet>
        <targetSubnet>
            <subnetNo>****51</subnetNo>
            <subnetName>test-****-private-kr1</subnetName>
            <vpcNo>****87</vpcNo>
            <vpcName>test-****</vpcName>
            <zoneCode>KR-2</zoneCode>
            <subnet>192.168.*.0/24</subnet>
            <isPublic>true</isPublic>
            <createdDate>2022-03-30T10:01:13+0900</createdDate>
        </targetSubnet>
    </targetSubnetList>
</getCloudPostgresqlTargetSubnetListResponse>